Get user boards
curl --request GET \
--url https://api.adspo.co/v1/boards \
--header 'x-api-key: <api-key>'import requests
url = "https://api.adspo.co/v1/boards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.adspo.co/v1/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adspo.co/v1/boards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.adspo.co/v1/boards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.adspo.co/v1/boards")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adspo.co/v1/boards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 2,
"boards": [
{
"board_id": "00116792-d6d1-444f-a841-80dd3c105ae7",
"name": "My First Board",
"is_public": false,
"workspace_id": null,
"space_id": null,
"created_at": "2026-02-04T01:15:23Z",
"updated_at": "2026-02-04T01:30:33Z"
},
{
"board_id": "11227893-e7e2-555g-b952-91ee4d216bf8",
"name": "Top Performers",
"is_public": false,
"workspace_id": "0133afa6-5326-4a70-aa10-c9358eb6de04",
"space_id": "0133afa6-5326-4a70-aa10-c9358eb6de04",
"created_at": "2026-03-01T10:00:00Z",
"updated_at": "2026-04-15T14:22:00Z"
}
]
}Boards
Get user boards
Returns all boards belonging to the authenticated user, ordered by most recently updated.
GET
/
v1
/
boards
Get user boards
curl --request GET \
--url https://api.adspo.co/v1/boards \
--header 'x-api-key: <api-key>'import requests
url = "https://api.adspo.co/v1/boards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.adspo.co/v1/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adspo.co/v1/boards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.adspo.co/v1/boards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.adspo.co/v1/boards")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adspo.co/v1/boards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 2,
"boards": [
{
"board_id": "00116792-d6d1-444f-a841-80dd3c105ae7",
"name": "My First Board",
"is_public": false,
"workspace_id": null,
"space_id": null,
"created_at": "2026-02-04T01:15:23Z",
"updated_at": "2026-02-04T01:30:33Z"
},
{
"board_id": "11227893-e7e2-555g-b952-91ee4d216bf8",
"name": "Top Performers",
"is_public": false,
"workspace_id": "0133afa6-5326-4a70-aa10-c9358eb6de04",
"space_id": "0133afa6-5326-4a70-aa10-c9358eb6de04",
"created_at": "2026-03-01T10:00:00Z",
"updated_at": "2026-04-15T14:22:00Z"
}
]
}Credits: 1 credit per request.
Authorizations
Your Adspo API key.
Query Parameters
Only this workspace's boards. Pass default for boards in the default workspace. Omit to return all boards.
The old name for workspace_id, from when workspaces were called spaces. An empty string means the default workspace.